%global artifact_name io.takari.incrementalbuild

Name:           takari-incrementalbuild
Version:        0.20.4
Release:        1%{?dist}
Summary:        Takari Incremental Build
License:        EPL
URL:            http://takari.io
BuildArch:      noarch

Source0:        https://github.com/takari/%{artifact_name}/archive/%{artifact_name}-%{version}.tar.gz
Source1:        http://www.eclipse.org/legal/epl-v10.html

# Forwarded upstream: https://github.com/takari/io.takari.incrementalbuild/pull/6
Patch0:         0001-Update-junit-to-4.12.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(io.takari.maven.plugins:takari-lifecycle-plugin)
BuildRequires:  mvn(io.takari.maven.plugins:takari-plugin-testing)
BuildRequires:  mvn(io.takari:takari:pom:)
BuildRequires:  mvn(javax.enterprise:cdi-api)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.aether:aether-api)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
BuildRequires:  mvn(org.sonatype.plugins:sisu-maven-plugin)
BuildRequires:  mvn(org.sonatype.sisu:sisu-guice::no_aop:)


%description
Incremental build support library for Apache Maven.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.


%prep
%setup -q -n %{artifact_name}-%{artifact_name}-%{version}
%patch0 -p1

cp -a %{SOURCE1} .

# XXX skip ITs for now
%pom_disable_module incrementalbuild-its

# Component with different release cycle that upstream keeps disabled, but is needed
%pom_xpath_inject pom:modules '<module>incrementalbuild-workspace</module>'
%pom_set_parent io.takari:io.takari.incrementalbuild:%{version} incrementalbuild-workspace
%pom_change_dep :incrementalbuild-workspace ::%{version} incrementalbuild

%pom_remove_plugin -r :animal-sniffer-maven-plugin

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%license epl-v10.html

%files javadoc -f .mfiles-javadoc
%license epl-v10.html

%changelog
* Mon Feb 15 2016 Michael Simacek <msimacek@redhat.com> - 0.20.4-1
- Non-bootstrap build

* Mon Feb 15 2016 Michael Simacek <msimacek@redhat.com> - 0.20.4-0.1
- Update to upstream version 0.20.4
- Remove upstreamed patch
- Bootstrap build

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 22 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.20.1-1
- Update to upstream version 0.20.1

* Tue Mar 17 2015 Michael Simacek <msimacek@redhat.com> - 0.10.0-4
- Build with optional part and tests enabled

* Thu Mar 12 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.10.0-3
- Non-bootstrap bulid

* Fri Mar 06 2015 Michael Simacek <msimacek@redhat.com> - 0.10.0-2
- Working build

* Fri Feb 20 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.10.0-1
- Initial packaging
